Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jmx.access
Class InvalidInvocationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javax.management.JMRuntimeException
                      org.springframework.jmx.access.InvalidInvocationException

All Implemented Interfaces:
  Serializable

    public class InvalidInvocationException

extends JMRuntimeException

Thrown when trying to invoke an operation on a proxy that is not exposed by the proxied MBean resource's management interface.

Since:
  1.2
Author:
  Rob Harrop, Juergen Hoeller
See Also:
  `MBeanClientInterceptor`, Serialized Form

Constructor Summary
`InvalidInvocationException(String msg)` Create a new `InvalidInvocationException` with the supplied error message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidInvocationException

    public InvalidInvocationException(String msg)

  Create a new `InvalidInvocationException` with the supplied error message.

  Parameters:
    `msg` - the detail message

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD